LogicException
OutOfRangeException
Exceptions
PHP Manual

# The OutOfBoundsException class

(PHP 5 >= 5.1.0)

## Introduction

Exception thrown if a value is not a valid key. This represents errors that cannot be detected at compile time.

## Class synopsis

OutOfBoundsException extends RuntimeException {
/* Inherited properties */
protected string $message ;
protected int $code ;
protected string $file ;
protected int $line ;
/* Inherited methods */
final public string Exception::getMessage ( void )
final public Exception Exception::getPrevious ( void )
final public mixed Exception::getCode ( void )
final public string Exception::getFile ( void )
final public int Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private void Exception::__clone ( void )
}

LogicException
OutOfRangeException
Exceptions
PHP Manual